package com.sxtvs.open.api.review.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sxtvs.open.api.h5template.service.impl.OSSService;
import com.sxtvs.open.api.review.dto.PageReqDTO;
import com.sxtvs.open.api.review.entity.ReviewImgRecord;
import com.sxtvs.open.api.review.entity.ReviewVideosRecord;
import com.sxtvs.open.api.review.service.impl.ReviewVideosRecordServiceImpl;
import com.sxtvs.open.core.auth.LoginRequired;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-02-05
 */
@RestController
@RequestMapping("/review/video")
public class ReviewVideosRecordController {

    @Resource
    private ReviewVideosRecordServiceImpl reviewVideoRecordService;

    @Resource
    private OSSService ossService;

    @PostMapping("upload")
    @LoginRequired
    public Map<String, String> upload(MultipartFile file){
        return Map.of("url", ossService.vcrPut(file));
    }

    @PostMapping("store")
    @LoginRequired
    public ReviewVideosRecord store(@RequestBody ReviewVideosRecord reviewVideosRecord){
        return reviewVideoRecordService.store(reviewVideosRecord);
    }

    @PostMapping("list")
    @LoginRequired
    public Page<ReviewVideosRecord> list(@RequestBody PageReqDTO pageReqDTO){
        return reviewVideoRecordService.list(pageReqDTO);
    }
}
