package com.sxtvs.open.api.review.entity;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sxtvs.open.api.review.dto.ImgReviewResp;
import com.sxtvs.open.api.review.dto.VideoReviewResp;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2024-02-05
 */
@Getter
@Setter
@TableName("review_videos_record")
public class ReviewVideosRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long uid;

    private String title;

    private String url;

    private String taskId;

    @JsonIgnore
    private String result;

    private LocalDateTime createTime;

    private String status;

    @TableField(exist = false)
    private VideoReviewResp reviewResult;

    public VideoReviewResp getReviewResult() {
        return JSON.parseObject(this.result, VideoReviewResp.class);
    }
}
